/*
 * ConstantExpression.h
 *
 *  Created on: Dec 5, 2012
 *      Author: attero
 */

#ifndef CONSTANTEXPRESSION_H_
#define CONSTANTEXPRESSION_H_
#include "ASTExpression.h"
#include <iostream>

class ConstantExpression : public ASTExpression {
public:
	ConstantExpression(ASTNode * parent);
	ConstantExpression(ASTNode * parent, int number) ;
	ConstantExpression(ASTNode * parent, double number) ;
	ConstantExpression(ASTNode * parent, std::string text);
	ConstantExpression(ASTNode * parent, SenchaObject value, std::string name);
	SenchaObject value;

	std::string debug();


	virtual ~ConstantExpression();
	virtual SenchaObject evaluate();

	virtual void execute() ;
	virtual void execute_quietly() ;
};

#endif /* CONSTANTEXPRESSION_H_ */
